<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Entity;

class PagSeguroAmount extends Entity {
	protected $value;
	protected $currency;
	protected $summary;

	public static function builder(): PagSeguroAmountBuilder {

		return new PagSeguroAmountBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValue() {

		return $this->value;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCurrency() {

		return $this->currency;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSummary() {

		return $this->summary;

	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value) {

		$this->value = $value;

	}

	/**
	 *
	 * @param mixed $currency
	 */
	public function setCurrency($currency) {

		$this->currency = $currency;

	}

	/**
	 *
	 * @param mixed $summary
	 */
	public function setSummary(PagSeguroSumary $summary) {

		$this->summary = $summary;

	}

}

